Bug 871113 - [MLA] Configure_disk_storage should be removed from DiskOperator and from UserVmManager
[MLA] Configure_disk_storage should be removed from DiskOperator and from Use...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Oved Ourfali
Ondra Machacek
virt
:
Depends On:
Blocks: 882653 910075 915537
  Show dependency treegraph
 
Reported: 2012-10-29 12:34 EDT by Ondra Machacek
Modified: 2013-06-11 05:22 EDT (History)
14 users (show)

See Also:
Fixed In Version: sf1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 882653 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondra Machacek 2012-10-29 12:34:55 EDT
Description of problem:
ClusterAdmin and DiskOperator are able to copy_template

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. As admin create template.
2. Add user and add him DiskOperator perms on 'system' object.
3. As new user try to copy_template disk.
  
Actual results:
Disk is copyied.

Expected results:
Error occures:
User is not authorized perform this action.

Additional info:

BE says that these users are not able to do this actions, so they shoudnt,
or BE should be updated that they can do that.
Comment 1 Ondra Machacek 2012-10-30 05:28:20 EDT
Also:
'TemplateOwner', 'TemplateAdmin':
Error occures:
User is not authorized to perform this action.

Expected:
Template disk is copyied.

and

'UserVmManager' - same as DiskOperator and ClusterAdmin
Comment 18 Oved Ourfali 2012-12-02 09:38:38 EST
Commit: 4caba3e0b47da88c1d94a9d89e6fd95b7125c068

http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;h=4caba3e0b47da88c1d94a9d89e6fd95b7125c068
Comment 20 Itamar Heim 2013-06-11 04:46:08 EDT
3.2 has been released
Comment 21 Itamar Heim 2013-06-11 04:46:15 EDT
3.2 has been released
Comment 22 Itamar Heim 2013-06-11 04:46:15 EDT
3.2 has been released
Comment 23 Itamar Heim 2013-06-11 04:52:01 EDT
3.2 has been released
Comment 24 Itamar Heim 2013-06-11 05:22:58 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.